Bug 1294758 - cannot get deployments using oc
cannot get deployments using oc
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Deployments (Show other bugs)
3.x
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Dan Mace
zhou ying
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-30 02:03 EST by Wang Haoran
Modified: 2016-12-09 16:53 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-09 16:53:53 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wang Haoran 2015-12-30 02:03:30 EST
Description of problem:
When invoke $oc get deployments, command line return "cannot list extensions.deployments in project"

Version-Release number of selected component (if applicable):
openshift v1.1-630-gb197d32
kubernetes v1.1.0-origin-1107-g4c8e6f4

How reproducible:
always

Steps to Reproduce:
1.Create a project
2.Deploy a pod
3.run command with normal user
 $oc get deployments -n test
4. run command with cluster admin
 $oc get deployments -n test

Actual results:
step 3 will get error: 
cannot list extensions.deployments in project test
step 4 will return nothing.
Expected results:
1. if deployments is not a resource , we should return err like "error: no resource "test" has been defined"
2. cluster admin and project admin user should have the same output
Additional info:
Comment 1 Bogdan Calomfirescu 2016-08-31 06:40:42 EDT
Hello,

Do you have any news about this bug?

Is there a workaround so far?

Kind regards
Comment 2 Dan Mace 2016-08-31 08:49:34 EDT
This bug should probably have been closed as fixed a long time ago. Newer versions of `oc` corrected the issue (in that the commands returns nothing instead of an error, as OpenShift has no "deployment" resource).
Comment 3 Wang Haoran 2016-09-05 03:40:00 EDT
verified with:
openshift v1.3.0-alpha.3+e3e0f53
kubernetes v1.3.0+52492b4
etcd 2.3.0+git

Note You need to log in before you can comment on or make changes to this bug.